Author Topic: Strange J!1.5 Warning  (Read 9174 times)

mtk

  • Jr. Member
  • **
  • Posts: 96
  • Joomla & RTL Expert
    • MtK - Smart Internet Solutions
Strange J!1.5 Warning
« on: January 14, 2008, 12:53:05 pm »
Code: [Select]
I'm having a strange J!1.5 warning, which I only have with an online installation.
(I have uploaded my offline, XAMPP, files & DB)

The warning appears only when I'm in option=com_virtuemart (both legacy ON or OFF)
[cdoe]
Warning: mysql_real_escape_string() expects parameter 2 to be resource, integer given in .../libraries/joomla/database/database/mysql.php on line 193

mtk

  • Jr. Member
  • **
  • Posts: 96
  • Joomla & RTL Expert
    • MtK - Smart Internet Solutions
Re: Strange J!1.5 Warning
« Reply #1 on: January 14, 2008, 12:59:13 pm »
Sorry, here are my details:

Code: [Select]
Database Version:    5.0.37-standard
Database Collation: utf8_general_ci
PHP Version: 4.4.7
Web Server: Apache/1.3.39 (Unix) mod_ssl/2.8.30 OpenSSL/0.9.8b PHP/4.4.7 mod_perl/1.29 FrontPage/5.0.2.2510

Joomla: Latest SVN
VM: Nightly Build 1157

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27464
  • Always on vacation
    • Jenkin Hill Internet
Re: Strange J!1.5 Warning
« Reply #2 on: January 14, 2008, 13:44:21 pm »
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.10 PHP 7.0.33
Testing VM 3.5.0.10097 on Joomla 3.9.10

mtk

  • Jr. Member
  • **
  • Posts: 96
  • Joomla & RTL Expert
    • MtK - Smart Internet Solutions
Re: Strange J!1.5 Warning
« Reply #3 on: January 14, 2008, 13:48:41 pm »
I happened only recently when upgrading to latest VM version...

mtk

  • Jr. Member
  • **
  • Posts: 96
  • Joomla & RTL Expert
    • MtK - Smart Internet Solutions
Re: Strange J!1.5 Warning
« Reply #4 on: January 15, 2008, 00:11:32 am »
I've echoed the input for the 'getEscapde' function on line 191:
Code: [Select]
function getEscaped( $text, $extra = false )Text = 0
Resource = 62
the number 62 is obviously not an object... :)

The question is, who & when calls this function, so I could back-trace it some more...

mtk

  • Jr. Member
  • **
  • Posts: 96
  • Joomla & RTL Expert
    • MtK - Smart Internet Solutions
Re: Strange J!1.5 Warning
« Reply #5 on: January 15, 2008, 00:47:54 am »
I just found out, it happens only when site is OFFLINE...

aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: Strange J!1.5 Warning
« Reply #6 on: January 15, 2008, 08:01:34 am »
That info is helpful now do you mean site is offline or VM (shop) is offline


aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: Strange J!1.5 Warning
« Reply #8 on: January 15, 2008, 20:00:25 pm »
Need to make sure  ;)

I couldn't replicate, like jenkinhill said it could be php4 issue which I don't have, hopefully someone with php4 can verify this.

mtk

  • Jr. Member
  • **
  • Posts: 96
  • Joomla & RTL Expert
    • MtK - Smart Internet Solutions
Re: Strange J!1.5 Warning
« Reply #9 on: January 15, 2008, 21:29:50 pm »
Actually I think latest SVN changes did the trick, cause I can{t see the warning again...

aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: Strange J!1.5 Warning
« Reply #10 on: January 15, 2008, 21:35:58 pm »
In that case I mark this resolved, if the error occurs just reply to this post.


greyroo

  • Beginner
  • *
  • Posts: 1
Re: Strange J!1.5 Warning
« Reply #12 on: January 17, 2008, 06:52:05 am »
I have the same error displayed at the top of the admin pages. Any Ideas

Warning: mysql_real_escape_string() expects parameter 2 to be resource, integer given in /home/hsphere/local/home/inov8/inov8design.info/libraries/joomla/database/database/mysql.php on line 190

 
PHP 4.4.7
Database 4.0.27
Joomla 1.5RC4
VM 1.1 Nightly Build Complete Package (downloaded 17/1/2008)
web server Apache/1.3.37 (Unix) mod_ssl/2.8.28 OpenSSL/0.9.7c FrontPage/5.0.2.2635 PHP/4.4.7 mod_throttle/3.1.2


Cheers
Allan

Michael Thomsen

  • Beginner
  • *
  • Posts: 21
Re: Strange J!1.5 Warning
« Reply #13 on: January 21, 2008, 02:18:24 am »
Update: just tried today's build: VirtueMart 1.1 Nightly Build [20080121]. Now getting the following warning:
Warning: zip_entry_read() [function.zip-entry-read]: The bytes parameter must greater then zero in /home2/anchorh/public_html/solarenergydirectnew/libraries/joomla/filesystem/archive/zip.php on line 239

same problem here with:
VirtueMart 1.1 Nightly Build [20080119].
joomla 1.5  RC4
Php 5.2.1
MySQL version     5.0.27-standard
Apache version     1.3.37 (Unix)

cheers
Michael

aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: Strange J!1.5 Warning
« Reply #14 on: January 23, 2008, 00:59:54 am »
I can not replicate this tried all combinations.

Site Offline /VM online
Site online /VM offline
Site Offline /VM offline